/* 変数管理システム */
#include "defines.h"
#include "vsiki.h"

int var_undef(unchar *vname,VARSYS *var)
/* 指定された変数を数値未確定にする */
/* 残念ながら現在のシステムでは消去はできない */
{
long p;
	/* 変数サーチ */
	p=var_search(vname,var,NULL);
	if (p==0) return(VARNDEF); /* ないので消さない */
	if (p<0) return(VARNKAKU); /* すでに未確定なのでなにもしない */
	var->vwork[p+1]|=VKAKU; /* 未確定の印 */
	return(0);
}
